Summary:	Plasma 5 PIM library
Name:		pimcommon
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadicontact-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5designerplugin-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5imap-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Conflicts:	storageservicemanager < 3:16.08.2

%description
Plasma 5 PIM library.

%files
%{_kde5_sysconfdir}/xdg/pimcommon.categories
%{_kde5_sysconfdir}/xdg/pimcommon.renamecategories

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 PIM library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
Plasma 5 PIM library translations.

%files i18n -f libpimcommon.lang

#----------------------------------------------------------------------------

%package -n qt5-designer-plugin-pimcommonwidgets
Summary:	Qt5 Designer plugin for KDE PIM Common
Group:		Development/KDE and Qt

%description -n qt5-designer-plugin-pimcommonwidgets
Qt5 Designer plugin for KDE PIM Common.

%files -n qt5-designer-plugin-pimcommonwidgets
%{_qt5_plugindir}/designer/pimcommonwidgets.so

#----------------------------------------------------------------------------

%define kf5pimcommon_major 5
%define libkf5pimcommon %mklibname kf5pimcommon %{kf5pimcommon_major}

%package -n %{libkf5pimcommon}
Summary:	Plasma 5 PIM shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5pimcommon}
Plasma 5 PIM shared library.

%files -n %{libkf5pimcommon}
%{_kde5_libdir}/libKF5PimCommon.so.%{kf5pimcommon_major}*

#----------------------------------------------------------------------------

%define kf5pimcommonakonadi_major 5
%define libkf5pimcommonakonadi %mklibname kf5pimcommonakonadi %{kf5pimcommonakonadi_major}

%package -n %{libkf5pimcommonakonadi}
Summary:	Plasma 5 PIM Akonadi shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5pimcommonakonadi}
Plasma 5 PIM Akonadi shared library.

%files -n %{libkf5pimcommonakonadi}
%{_kde5_libdir}/libKF5PimCommonAkonadi.so.%{kf5pimcommonakonadi_major}*

#----------------------------------------------------------------------------

%define devkf5pimcommon %mklibname kf5pimcommon -d

%package -n %{devkf5pimcommon}
Summary:	Development files for Plasma 5 PIM library
Group:		Development/KDE and Qt
Requires:	%{libkf5pimcommon} = %{EVRD}
Requires:	%{libkf5pimcommonakonadi} = %{EVRD}
Provides:	kf5pimcommon-devel = %{version}
Provides:	kf5pimcommonakonadi-devel = %{version}
Suggests:	qt5-designer-plugin-pimcommonwidgets

%description -n %{devkf5pimcommon}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5pimcommon}
%dir %{_kde5_includedir}/KF5/PimCommon
%{_kde5_includedir}/KF5/PimCommon/*
%dir %{_kde5_includedir}/KF5/PimCommonAkonadi
%{_kde5_includedir}/KF5/PimCommonAkonadi/*
%dir %{_kde5_includedir}/KF5/pimcommon
%{_kde5_includedir}/KF5/pimcommon/*
%dir %{_kde5_includedir}/KF5/pimcommonakonadi
%{_kde5_includedir}/KF5/pimcommonakonadi/*
%{_kde5_includedir}/KF5/pimcommon_version.h
%{_kde5_includedir}/KF5/pimcommonakonadi_version.h
%{_kde5_libdir}/cmake/KF5PimCommon
%{_kde5_libdir}/cmake/KF5PimCommonAkonadi
%{_kde5_libdir}/libKF5PimCommon.so
%{_kde5_libdir}/libKF5PimCommonAkonadi.so
%{_kde5_mkspecsdir}/qt_PimCommon.pri
%{_kde5_mkspecsdir}/qt_PimCommonAkonadi.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libpimcommon --with-kde
%kf5locales_fix libpimcommon.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (e588a0f) New version 17.12.3


